#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:set_value) do
  include EasyType

  desc <<-EOD
This parameter specifies the value to set the specfied object property to.
  EOD

  def value
    begin
      Float(should) # Check if we're a number
      Puppet::Pops::Utils.to_n(should)
    rescue ArgumentError
      "'#{should}'"
    end
  end

end
